A-A+

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法

2019年06月29日 11:56:01 CAD 暫無評論 閱讀 70 views 次

下面以一個球形曲面的創建為例,介紹在CATIA中使用VBA(VBS)進行二次開發時通過HybridShapeFactory類創建标準圖形曲面的方法。示例代碼如下:(代碼中有關對象選擇的詳細介紹可參考文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》。)

Sub catmain()

Dim iSelection

Set iSelection = CATIA.ActiveDocument.Selection

Dim iStatus, iType(0)

Dim iHB,iHSF,iPoint,iRadius,iSphere

'選擇中心點

iType(0) = "HybridShape"

iStatus = iSelection.SelectElement2(iType, "Please select the Point", False)

If iStatus = "Redo" Or iStatus = "Undo" Or iStatus = "Cancel" Then   

    Exit Sub   

End If

Set iPoint=iSelection.Item2(1).Value

'選擇放置曲面的Geometrical set部件集

iType(0) = "HybridBody"

iStatus = iSelection.SelectElement2(iType, "Please select the Geometrical Set", False)

If iStatus = "Redo" Or iStatus = "Undo" Or iStatus = "Cancel" Then   

    Exit Sub   

End If

Set iHB=iSelection.Item2(1).Value

'輸入半徑

iRadius = InputBox("Please input radius", "Radios", 3)

Set iHSF = CATIA.ActiveDocument.Part.HybridShapeFactory

'創建球形曲面

Set iSphere = iHSF.AddNewSphere(iPoint, Nothing, iRadius, -45, 45, 0, 180)

iSphere.Limitation = 1

'将曲面添加到元素集

iHB.AppendHybridShape iSphere

'曲面命名

iSphere.Name = iPoint.Name & "_zhongte86964.cn"

iSelection.Clear

CATIA.ActiveDocument.Part.Update

End Sub

創建效果如下所示:

本站微信公衆賬号,歡迎關注,如有問題可在下方留言也可在公衆賬号提問。

微信公衆賬号

給我留言